Bug 990054 - [abrt] WARNING: at net/mac80211/rx.c:3299 ieee80211_rx+0x7e9/0x850 [mac80211]()
[abrt] WARNING: at net/mac80211/rx.c:3299 ieee80211_rx+0x7e9/0x850 [mac80211]()
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
abrt_hash:67591fa2cebf2e57ff9b829718d...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-30 06:07 EDT by Bill Gianopoulos
Modified: 2013-10-08 12:37 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-08 12:37:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: dmesg (72.84 KB, text/plain)
2013-07-30 06:07 EDT, Bill Gianopoulos
no flags Details

  None (edit)
Description Bill Gianopoulos 2013-07-30 06:07:42 EDT
Description of problem:
This happend on a reboot.

Additional info:
reporter:       libreport-2.1.5
WARNING: at net/mac80211/rx.c:3299 ieee80211_rx+0x7e9/0x850 [mac80211]()
Modules linked in: fuse ebtable_nat bnep bluetooth nf_conntrack_netbios_ns nf_conntrack_broadcast ipt_MASQUERADE ip6table_nat nf_nat_ipv6 ip6table_mangle ip6t_REJECT nf_conntrack_ipv6 nf_defrag_ipv6 iptable_nat nf_nat_ipv4 nf_nat iptable_mangle nf_conntrack_ipv4 nf_defrag_ipv4 xt_conntrack nf_conntrack ebtable_filter ebtables ip6table_filter ip6_tables snd_hda_codec_hdmi snd_hda_codec_idt snd_hda_intel snd_hda_codec snd_hwdep snd_seq snd_seq_device snd_pcm arc4 snd_page_alloc acpi_cpufreq ath9k mperf uvcvideo ath9k_common hp_wmi ath9k_hw kvm videobuf2_vmalloc videobuf2_memops videobuf2_core videodev ath sparse_keymap ir_lirc_codec lirc_dev k10temp snd_timer snd ir_mce_kbd_decoder ir_sanyo_decoder ir_sony_decoder ir_rc5_decoder ir_rc6_decoder ir_jvc_decoder ir_nec_decoder mac80211 media sdhci_pci sdhci jmb38x_ms sp5100_tco microcode i2c_piix4 r8169 cfg80211 soundcore shpchp wmi rc_rc6_mce joydev memstick ene_ir mii hp_accel rfkill lis3lv02d mmc_core rc_core video input_polldev uinput ata_generic pata_acpi radeon pata_atiixp i2c_algo_bit drm_kms_helper ttm drm i2c_core
CPU: 0 PID: 2065 Comm: Socket Thread Not tainted 3.10.3-300.fc19.x86_64 #1
Hardware name: Hewlett-Packard HP Pavilion dv7 Notebook PC/30FC, BIOS F.49 08/17/2009
 0000000000000009 ffff88013fc03ce8 ffffffff81643216 ffff88013fc03d20
 ffffffff8105c211 ffff880115d9a600 ffff8801371b8660 ffff8801371ba0ce
 0000000000004288 ffff8801371b9800 ffff88013fc03d30 ffffffff8105c2ea
Call Trace:
 <IRQ>  [<ffffffff81643216>] dump_stack+0x19/0x1b
 [<ffffffff8105c211>] warn_slowpath_common+0x61/0x80
 [<ffffffff8105c2ea>] warn_slowpath_null+0x1a/0x20
 [<ffffffffa02da6c9>] ieee80211_rx+0x7e9/0x850 [mac80211]
 [<ffffffff8152c690>] ? build_skb+0x30/0x1d0
 [<ffffffff8152e989>] ? __netdev_alloc_skb+0x89/0xf0
 [<ffffffffa047447f>] ath_rx_tasklet+0xc9f/0x11f0 [ath9k]
 [<ffffffffa047199c>] ath9k_tasklet+0xcc/0x130 [ath9k]
 [<ffffffff810647ee>] tasklet_action+0x6e/0x110
 [<ffffffff81064987>] __do_softirq+0xf7/0x240
 [<ffffffff81064c65>] irq_exit+0xb5/0xc0
 [<ffffffff816534d6>] do_IRQ+0x56/0xc0
 [<ffffffff8164952d>] common_interrupt+0x6d/0x6d
 <EOI>
Comment 1 Bill Gianopoulos 2013-07-30 06:07:49 EDT
Created attachment 780522 [details]
File: dmesg
Comment 2 Sujith 2013-08-20 01:58:41 EDT
In 3.10.3, this warning is printed by mac80211 when an invalid rate index is passed by the driver for a RX packet:

if (WARN_ON(status->rate_idx >= sband->n_bitrates))
	goto drop;

A number of issues in the RX path in ath9k have been addressed recently, please try the wireless-testing kernel. The latest backports release doesn't contain the RX fixes, so you can also wait for a new release to happen [1].

[1] : http://drvbp1.linux-foundation.org/~mcgrof/rel-html/backports/
Comment 3 Josh Boyer 2013-09-18 16:45:28 EDT
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 19 kernel bugs.

Fedora 19 has now been rebased to 3.11.1-200.fc19.  Please test this kernel update and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you experience different issues, please open a new bug report for those.
Comment 4 Josh Boyer 2013-10-08 12:37:42 EDT
This bug is being closed with INSUFFICIENT_DATA as there has not been a response in 2 weeks. If you are still experiencing this issue, please reopen and attach the relevant data from the latest kernel you are running and any data that might have been requested previously.

Note You need to log in before you can comment on or make changes to this bug.